Bug 782486

Summary: Propose that you turn on PrivateTmp=true in service file for boinc
Product: [Fedora] Fedora Reporter: Daniel Walsh <dwalsh>
Component: boinc-clientAssignee: Milos Jakubicek <xjakub>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 19CC: cheekyboinc, mgrepl, mmahut, xjakub
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-02-18 08:40:27 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 1039258    
Bug Blocks: 782466    

Description Daniel Walsh 2012-01-17 10:30:01 EST
I would like to propose using PrivateTmp for boinc, to make it more secure
and avoid users from being able to potentially effect it.

http://fedoraproject.org/wiki/Features/ServicesPrivateTmp
Comment 1 Daniel Walsh 2012-02-06 15:46:27 EST
Any change on this bug.  We are coming up to Feature Freeze, and would like some comment on this bug.

If you do not believe this application uses /tmp than please comment on this and close the bug.  

If you believe this application needs to use /tmp to communicate with other applications or users then you can close this bug with that comment.

If your app does not use systemd, then close this bug with that comment.

If you have no idea, then please add a comment, and change the bug to assigned.

I need to update the status on this feature.


Thanks for your help.
Comment 2 Milos Jakubicek 2012-02-08 04:01:00 EST
Dan,

sorry for the delay. Boinc is not using /tmp at all, all its data are in /var/lib/boinc. Moreover the service runs under a separate account (boinc) anyway. So I think there is nothing to be done, right?

Milos
Comment 3 Daniel Walsh 2012-02-08 14:43:54 EST
Well does boinc use plugins?  Does it start via systemd?
Comment 4 Milos Jakubicek 2012-02-08 15:59:46 EST
It does use systemd now (just ported it). What do you mean by plugins -- dynamic (dlopen) libraries? As far as I know it does not. Particular projects are separate ELF executables stored under /var/lib/boinc that are just spawned as processes.
Comment 5 Daniel Walsh 2012-02-09 17:54:13 EST
I thought you could load random scripts under boinc that it could launch.  Miroslav would no better then me though.
Comment 6 Fedora End Of Life 2013-04-03 15:47:58 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 7 Fedora End Of Life 2015-01-09 16:55:31 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-02-18 08:40:27 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.